LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
cppu::OPropertySetHelper2 Class Reference

OPropertySetHelper plus XPropertySetOption. More...

`#include <propshlp.hxx>`

Inheritance diagram for cppu::OPropertySetHelper2:

## Public Member Functions
| OPropertySetHelper2 (OBroadcastHelper &rBHelper, IEventNotificationHook *i_pFireEvents=NULL, bool bIgnoreRuntimeExceptionsWhileFiring=false)
| Constructor. More...
virtual ::com::sun::star::uno::Any | queryInterface (const ::com::sun::star::uno::Type &rType) throw (::com::sun::star::uno::RuntimeException)
virtual void | enableChangeListenerNotification (sal_Bool bEnable) throw (::com::sun::star::uno::RuntimeException)
Public Member Functions inherited from cppu::OPropertySetHelper
| OPropertySetHelper (OBroadcastHelper &rBHelper) throw ()
| OPropertySetHelper (OBroadcastHelper &rBHelper, bool bIgnoreRuntimeExceptionsWhileFiring)
| Constructor. More...
| OPropertySetHelper (OBroadcastHelper &rBHelper, IEventNotificationHook *i_pFireEvents, bool bIgnoreRuntimeExceptionsWhileFiring=false)
| Constructor. More...
virtual ::com::sun::star::uno::Any | queryInterface (const ::com::sun::star::uno::Type &rType) throw (::com::sun::star::uno::RuntimeException)
| Only returns a reference to XMultiPropertySet, XFastPropertySet, XPropertySet and XEventListener. More...
::com::sun::star::uno::Sequence < ::com::sun::star::uno::Type > | getTypes () throw (::com::sun::star::uno::RuntimeException)
| eases implementing XTypeProvider::getTypes, returns the types of XMultiPropertySet, XFastPropertySet, XPropertySet More...
void | disposing () throw ()
| Send a disposing notification to the listeners in the conatiners aBoundLC and aVetoableLC. More...
virtual void | setPropertyValue (const ::rtl::OUString &rPropertyName, const ::com::sun::star::uno::Any &aValue) throw (::com::sun::star::beans::UnknownPropertyException, ::com::sun::star::beans::PropertyVetoException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException, ::com::sun::star::uno::RuntimeException)
| Throw UnknownPropertyException or PropertyVetoException if the property with the name rPropertyName does not exist or is readonly. More...
virtual ::com::sun::star::uno::Any | getPropertyValue (const ::rtl::OUString &aPropertyName) throw (::com::sun::star::beans::UnknownPropertyException, ::com::sun::star::lang::WrappedTargetException, ::com::sun::star::uno::RuntimeException)
| Throw UnknownPropertyException if the property with the name rPropertyName does not exist. More...
virtual void | addPropertyChangeListener (const ::rtl::OUString &aPropertyName, const ::com::sun::star::uno::Reference< ::com::sun::star::beans::XPropertyChangeListener > &aListener) throw (::com::sun::star::beans::UnknownPropertyException, ::com::sun::star::lang::WrappedTargetException, ::com::sun::star::uno::RuntimeException)
| Ignored if the property is not bound. More...
virtual void | removePropertyChangeListener (const ::rtl::OUString &aPropertyName, const ::com::sun::star::uno::Reference< ::com::sun::star::beans::XPropertyChangeListener > &aListener) throw (::com::sun::star::beans::UnknownPropertyException, ::com::sun::star::lang::WrappedTargetException, ::com::sun::star::uno::RuntimeException)
| Ignored if the property is not bound. More...
virtual void | addVetoableChangeListener (const ::rtl::OUString &aPropertyName, const ::com::sun::star::uno::Reference< ::com::sun::star::beans::XVetoableChangeListener > &aListener) throw (::com::sun::star::beans::UnknownPropertyException, ::com::sun::star::lang::WrappedTargetException, ::com::sun::star::uno::RuntimeException)
| Ignored if the property is not constrained. More...
virtual void | removeVetoableChangeListener (const ::rtl::OUString &aPropertyName, const ::com::sun::star::uno::Reference< ::com::sun::star::beans::XVetoableChangeListener > &aListener) throw (::com::sun::star::beans::UnknownPropertyException, ::com::sun::star::lang::WrappedTargetException, ::com::sun::star::uno::RuntimeException)
| Ignored if the property is not constrained. More...
virtual void | setFastPropertyValue (sal_Int32 nHandle, const ::com::sun::star::uno::Any &rValue) throw (::com::sun::star::beans::UnknownPropertyException, ::com::sun::star::beans::PropertyVetoException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException, ::com::sun::star::uno::RuntimeException)
| Throw UnknownPropertyException or PropertyVetoException if the property with the name rPropertyName does not exist or is readonly. More...
virtual ::com::sun::star::uno::Any | getFastPropertyValue (sal_Int32 nHandle) throw (::com::sun::star::beans::UnknownPropertyException, ::com::sun::star::lang::WrappedTargetException, ::com::sun::star::uno::RuntimeException)
  | Exceptions
  com::sun::star::beans::UnknownPropertyException | if the property with the handle nHandle does not exist.
More...
virtual void | setPropertyValues (const ::com::sun::star::uno::Sequence< ::rtl::OUString > &PropertyNames, const ::com::sun::star::uno::Sequence< ::com::sun::star::uno::Any > &Values) throw (::com::sun::star::beans::PropertyVetoException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException, ::com::sun::star::uno::RuntimeException)
virtual ::com::sun::star::uno::Sequence < ::com::sun::star::uno::Any > | getPropertyValues (const ::com::sun::star::uno::Sequence< ::rtl::OUString > &PropertyNames) throw (::com::sun::star::uno::RuntimeException)
virtual void | addPropertiesChangeListener (const ::com::sun::star::uno::Sequence< ::rtl::OUString > &PropertyNames, const ::com::sun::star::uno::Reference< ::com::sun::star::beans::XPropertiesChangeListener > &Listener) throw (::com::sun::star::uno::RuntimeException)
virtual void | removePropertiesChangeListener (const ::com::sun::star::uno::Reference< ::com::sun::star::beans::XPropertiesChangeListener > &Listener) throw (::com::sun::star::uno::RuntimeException)
virtual void | firePropertiesChangeEvent (const ::com::sun::star::uno::Sequence< ::rtl::OUString > &PropertyNames, const ::com::sun::star::uno::Reference< ::com::sun::star::beans::XPropertiesChangeListener > &Listener) throw (::com::sun::star::uno::RuntimeException)
static::com::sun::star::uno::Reference < ::com::sun::star::beans::XPropertySetInfo > | createPropertySetInfo (IPropertyArrayHelper &rProperties) throw ()
| The property sequence is created in the call. More...

## Protected Member Functions
virtual | ~OPropertySetHelper2 () throw ()
| You must call disposing before destruction. More...
Protected Member Functions inherited from cppu::OPropertySetHelper
void | fire (sal_Int32 *pnHandles, const ::com::sun::star::uno::Any *pNewValues, const ::com::sun::star::uno::Any *pOldValues, sal_Int32 nCount, sal_Bool bVetoable)
| This method fire events to all registered property listeners. More...
void | setFastPropertyValues (sal_Int32 nSeqLen, sal_Int32 *pHandles, const ::com::sun::star::uno::Any *pValues, sal_Int32 nHitCount) throw (::com::sun::star::uno::Exception)
| Set multiple properties with the handles. More...
virtual IPropertyArrayHelper & | getInfoHelper ()=0
| This abstract method must return the name to index table. More...
virtual sal_Bool | convertFastPropertyValue (::com::sun::star::uno::Any &rConvertedValue,::com::sun::star::uno::Any &rOldValue, sal_Int32 nHandle, const ::com::sun::star::uno::Any &rValue)=0 throw (::com::sun::star::lang::IllegalArgumentException)
| Converted the value rValue and return the result in rConvertedValue and the old value in rOldValue. More...
virtual void | setFastPropertyValue_NoBroadcast (sal_Int32 nHandle, const ::com::sun::star::uno::Any &rValue)=0 throw (::com::sun::star::uno::Exception)
| The same as setFastProperyValue; nHandle is always valid. More...
virtual void | getFastPropertyValue (::com::sun::star::uno::Any &rValue, sal_Int32 nHandle) const =0
| The same as getFastProperyValue, but return the value through rValue and nHandle is always valid. More...
void | setDependentFastPropertyValue (sal_Int32 i_handle, const ::com::sun::star::uno::Any &i_value)
| sets an dependent property's value More...
| ~OPropertySetHelper () throw ()
| You must call disposing before destruction. More...

## Additional Inherited Members
Protected Attributes inherited from cppu::OPropertySetHelper
OBroadcastHelper & | rBHelper
| The common data of a broadcaster. More...
OMultiTypeInterfaceContainerHelperInt32 | aBoundLC
| Container for the XProperyChangedListener. More...
OMultiTypeInterfaceContainerHelperInt32 | aVetoableLC
| Container for the XPropertyVetoableListener. More...
const std::auto_ptr< Impl > | m_pReserved
| reserved for future use. More...

## Detailed Description

OPropertySetHelper plus XPropertySetOption.

## Constructor & Destructor Documentation

cppu::OPropertySetHelper2::OPropertySetHelper2 | ( | OBroadcastHelper & | rBHelper,
|  | IEventNotificationHook * | i_pFireEvents = `NULL`,
|  | bool | bIgnoreRuntimeExceptionsWhileFiring = `false`
| ) |  |
| explicit

Constructor.

See OPropertySetHelper constructors documentation

virtual cppu::OPropertySetHelper2::~OPropertySetHelper2 | ( |  | ) |
throw | ( |
| ) |  |
| protected virtual

You must call disposing before destruction.

## Member Function Documentation

virtual void cppu::OPropertySetHelper2::enableChangeListenerNotification | ( | sal_Bool | bEnable | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |
| virtual

virtual ::com::sun::star::uno::Any cppu::OPropertySetHelper2::queryInterface | ( | const ::com::sun::star::uno::Type & | rType | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |

The documentation for this class was generated from the following file:

- cppuhelper/propshlp.hxx